# Uses of Class
org.apache.commons.math3.optim.PointVectorValuePair

Packages that use PointVectorValuePair
Package
Description
org.apache.commons.math3.fitting.leastsquares
This package provides algorithms that minimize the residuals between observations and model values.
org.apache.commons.math3.optim
Generally, optimizers are algorithms that will either `minimize` or `maximize` a scalar function, called the `objective function`.
org.apache.commons.math3.optim.nonlinear.vector
Algorithms for optimizing a vector function.
org.apache.commons.math3.optim.nonlinear.vector.jacobian
This package provides optimization algorithms that require derivatives.

## Uses of PointVectorValuePair in org.apache.commons.math3.fitting.leastsquares

Method parameters in org.apache.commons.math3.fitting.leastsquares with type arguments of type PointVectorValuePair
Modifier and Type
Method
Description
`LeastSquaresBuilder`
LeastSquaresBuilder.`checkerPair(ConvergenceChecker<PointVectorValuePair> newChecker)`
Configure the convergence checker.
`static ConvergenceChecker<LeastSquaresProblem.Evaluation>`
LeastSquaresFactory.`evaluationChecker(ConvergenceChecker<PointVectorValuePair> checker)`
View a convergence checker specified for a `PointVectorValuePair` as one specified for an `LeastSquaresProblem.Evaluation`.

## Uses of PointVectorValuePair in org.apache.commons.math3.optim

Methods in org.apache.commons.math3.optim with parameters of type PointVectorValuePair
Modifier and Type
Method
Description
`boolean`
SimpleVectorValueChecker.`converged(int iteration, PointVectorValuePair previous, PointVectorValuePair current)`
Check if the optimization algorithm has converged considering the last two points.

## Uses of PointVectorValuePair in org.apache.commons.math3.optim.nonlinear.vector

Methods in org.apache.commons.math3.optim.nonlinear.vector that return PointVectorValuePair
Modifier and Type
Method
Description
`PointVectorValuePair[]`
MultiStartMultivariateVectorOptimizer.`getOptima()`
Deprecated.
Gets all the optima found during the last call to `optimize`.
`PointVectorValuePair`
JacobianMultivariateVectorOptimizer.`optimize(OptimizationData... optData)`
Deprecated.
Stores data and performs the optimization.
`PointVectorValuePair`
MultivariateVectorOptimizer.`optimize(OptimizationData... optData)`
Deprecated.
Stores data and performs the optimization.
Methods in org.apache.commons.math3.optim.nonlinear.vector with parameters of type PointVectorValuePair
Modifier and Type
Method
Description
`protected void`
MultiStartMultivariateVectorOptimizer.`store(PointVectorValuePair optimum)`
Deprecated.
Method that will be called in order to store each found optimum.
Constructor parameters in org.apache.commons.math3.optim.nonlinear.vector with type arguments of type PointVectorValuePair
Modifier
Constructor
Description
`protected`
`JacobianMultivariateVectorOptimizer(ConvergenceChecker<PointVectorValuePair> checker)`
Deprecated.
`protected`
`MultivariateVectorOptimizer(ConvergenceChecker<PointVectorValuePair> checker)`
Deprecated.

## Uses of PointVectorValuePair in org.apache.commons.math3.optim.nonlinear.vector.jacobian

Methods in org.apache.commons.math3.optim.nonlinear.vector.jacobian that return PointVectorValuePair
Modifier and Type
Method
Description
`PointVectorValuePair`
GaussNewtonOptimizer.`doOptimize()`
Deprecated.
Performs the bulk of the optimization algorithm.
`protected PointVectorValuePair`
LevenbergMarquardtOptimizer.`doOptimize()`
Deprecated.
Performs the bulk of the optimization algorithm.
`PointVectorValuePair`
AbstractLeastSquaresOptimizer.`optimize(OptimizationData... optData)`
Deprecated.
Stores data and performs the optimization.
Constructor parameters in org.apache.commons.math3.optim.nonlinear.vector.jacobian with type arguments of type PointVectorValuePair
Modifier
Constructor
Description
`protected`
`AbstractLeastSquaresOptimizer(ConvergenceChecker<PointVectorValuePair> checker)`
Deprecated.
``
`GaussNewtonOptimizer(boolean useLU, ConvergenceChecker<PointVectorValuePair> checker)`
Deprecated.
``
`GaussNewtonOptimizer(ConvergenceChecker<PointVectorValuePair> checker)`
Deprecated.
Simple constructor with default settings.
``
`LevenbergMarquardtOptimizer(double initialStepBoundFactor, ConvergenceChecker<PointVectorValuePair> checker, double costRelativeTolerance, double parRelativeTolerance, double orthoTolerance, double threshold)`
Deprecated.
Constructor that allows the specification of a custom convergence checker, in addition to the standard ones.
``
`LevenbergMarquardtOptimizer(ConvergenceChecker<PointVectorValuePair> checker)`
Deprecated.
Constructor that allows the specification of a custom convergence checker.